<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/scroller"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:padding="6dp" >

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical" >

        <LinearLayout
            android:id="@+id/explainThisHeadingWrapper"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:background="@drawable/white_line_button_background"
            android:clickable="true"
            android:paddingBottom="2dp"
            android:paddingLeft="12dp"
            android:paddingRight="12dp"
            android:paddingTop="2dp" >

            <TextView
                android:id="@+id/explainThisExpander"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="-"
                android:textColor="@color/off_white"
                android:textSize="20sp" />

            <TextView
                android:id="@+id/explainThisLabel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginLeft="8dp"
                android:text="Explain This"
                android:textColor="@color/off_white"
                android:textSize="14sp" />
        </LinearLayout>

        <TextView
            android:id="@+id/help"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="6dp"
            android:text="&quot;Vaulted Ceiling&quot; can mean a number of things.  In this case, it is asymmetrical, slanted, and rising through more than one floor.  Some buildings have ceilings that only slant upward from one side to the other, or slant up from uneven wall heights.  This wizard is flexible enough to accomodate these unusual configurations.\n\nEnter the heights, widths, and room length (blank spaces will be treated as zeroes) and an algorithm will do the rest, automatically calculating the surface area and volume of the ceiling."
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <ImageView
            android:id="@+id/imageView1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:src="@drawable/room_vaulted" >

            <requestFocus />
        </ImageView>

        <RelativeLayout
            android:id="@+id/h1Wrapper"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="4dp" >

            <TextView
                android:id="@+id/h1_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/h1_ft"
                android:layout_alignParentLeft="true"
                android:text="h1: "
                android:textColor="@color/off_white"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/h1_ft"
                android:layout_width="48dip"
                android:layout_height="36dip"
                android:layout_alignParentTop="true"
                android:layout_toRightOf="@+id/h1_label"
                android:inputType="number"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/h1_ft_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/h1_ft"
                android:layout_toRightOf="@+id/h1_ft"
                android:text=" ft X "
                android:textColor="@color/off_white"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/h1_in"
                android:layout_width="48dip"
                android:layout_height="36dip"
                android:layout_alignBaseline="@+id/h1_ft"
                android:layout_toRightOf="@+id/h1_ft_label"
                android:inputType="number"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/h1_in_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/h1_in"
                android:layout_toRightOf="@+id/h1_in"
                android:text=" in"
                android:textColor="@color/off_white"
                android:textSize="14sp" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/h2Wrapper"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="4dp" >

            <TextView
                android:id="@+id/h2_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/h2_ft"
                android:layout_alignParentLeft="true"
                android:text="h2: "
                android:textColor="@color/off_white"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/h2_ft"
                android:layout_width="48dip"
                android:layout_height="36dip"
                android:layout_alignParentTop="true"
                android:layout_toRightOf="@+id/h2_label"
                android:inputType="number"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/h2_ft_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/h2_ft"
                android:layout_toRightOf="@+id/h2_ft"
                android:text=" ft X "
                android:textColor="@color/off_white"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/h2_in"
                android:layout_width="48dip"
                android:layout_height="36dip"
                android:layout_alignBaseline="@+id/h2_ft"
                android:layout_toRightOf="@+id/h2_ft_label"
                android:inputType="number"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/h2_in_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/h2_in"
                android:layout_toRightOf="@+id/h2_in"
                android:text=" in"
                android:textColor="@color/off_white"
                android:textSize="14sp" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/h3Wrapper"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="4dp" >

            <TextView
                android:id="@+id/h3_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/h3_ft"
                android:layout_alignParentLeft="true"
                android:text="h3: "
                android:textColor="@color/off_white"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/h3_ft"
                android:layout_width="48dip"
                android:layout_height="36dip"
                android:layout_alignParentTop="true"
                android:layout_toRightOf="@+id/h3_label"
                android:inputType="number"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/h3_ft_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/h3_ft"
                android:layout_toRightOf="@+id/h3_ft"
                android:text=" ft X "
                android:textColor="@color/off_white"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/h3_in"
                android:layout_width="48dip"
                android:layout_height="36dip"
                android:layout_alignBaseline="@+id/h3_ft"
                android:layout_toRightOf="@+id/h3_ft_label"
                android:inputType="number"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/h3_in_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/h3_in"
                android:layout_toRightOf="@+id/h3_in"
                android:text=" in"
                android:textColor="@color/off_white"
                android:textSize="14sp" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/h4Wrapper"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="4dp" >

            <TextView
                android:id="@+id/h4_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/h4_ft"
                android:layout_alignParentLeft="true"
                android:text="h4: "
                android:textColor="@color/off_white"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/h4_ft"
                android:layout_width="48dip"
                android:layout_height="36dip"
                android:layout_alignParentTop="true"
                android:layout_toRightOf="@+id/h4_label"
                android:inputType="number"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/h4_ft_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/h4_ft"
                android:layout_toRightOf="@+id/h4_ft"
                android:text=" ft X "
                android:textColor="@color/off_white"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/h4_in"
                android:layout_width="48dip"
                android:layout_height="36dip"
                android:layout_alignBaseline="@+id/h4_ft"
                android:layout_toRightOf="@+id/h4_ft_label"
                android:inputType="number"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/h4_in_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/h4_in"
                android:layout_toRightOf="@+id/h4_in"
                android:text=" in"
                android:textColor="@color/off_white"
                android:textSize="14sp" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/w1Wrapper"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="4dp" >

            <TextView
                android:id="@+id/w1_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/w1_ft"
                android:layout_alignParentLeft="true"
                android:text="w1: "
                android:textColor="@color/off_white"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/w1_ft"
                android:layout_width="48dip"
                android:layout_height="36dip"
                android:layout_alignParentTop="true"
                android:layout_toRightOf="@+id/w1_label"
                android:inputType="number"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/w1_ft_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/w1_ft"
                android:layout_toRightOf="@+id/w1_ft"
                android:text=" ft X "
                android:textColor="@color/off_white"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/w1_in"
                android:layout_width="48dip"
                android:layout_height="36dip"
                android:layout_alignBaseline="@+id/w1_ft"
                android:layout_toRightOf="@+id/w1_ft_label"
                android:inputType="number"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/w1_in_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/w1_in"
                android:layout_toRightOf="@+id/w1_in"
                android:text=" in"
                android:textColor="@color/off_white"
                android:textSize="14sp" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/w2Wrapper"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="4dp" >

            <TextView
                android:id="@+id/w2_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/w2_ft"
                android:layout_alignParentLeft="true"
                android:text="w2: "
                android:textColor="@color/off_white"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/w2_ft"
                android:layout_width="48dip"
                android:layout_height="36dip"
                android:layout_alignParentTop="true"
                android:layout_toRightOf="@+id/w2_label"
                android:inputType="number"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/w2_ft_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/w2_ft"
                android:layout_toRightOf="@+id/w2_ft"
                android:text=" ft X "
                android:textColor="@color/off_white"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/w2_in"
                android:layout_width="48dip"
                android:layout_height="36dip"
                android:layout_alignBaseline="@+id/w2_ft"
                android:layout_toRightOf="@+id/w2_ft_label"
                android:inputType="number"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/w2_in_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/w2_in"
                android:layout_toRightOf="@+id/w2_in"
                android:text=" in"
                android:textColor="@color/off_white"
                android:textSize="14sp" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/w3Wrapper"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="4dp" >

            <TextView
                android:id="@+id/w3_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/w3_ft"
                android:layout_alignParentLeft="true"
                android:text="w3: "
                android:textColor="@color/off_white"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/w3_ft"
                android:layout_width="48dip"
                android:layout_height="36dip"
                android:layout_alignParentTop="true"
                android:layout_toRightOf="@+id/w3_label"
                android:inputType="number"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/w3_ft_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/w3_ft"
                android:layout_toRightOf="@+id/w3_ft"
                android:text=" ft X "
                android:textColor="@color/off_white"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/w3_in"
                android:layout_width="48dip"
                android:layout_height="36dip"
                android:layout_alignBaseline="@+id/w3_ft"
                android:layout_toRightOf="@+id/w3_ft_label"
                android:inputType="number"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/w3_in_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/w3_in"
                android:layout_toRightOf="@+id/w3_in"
                android:text=" in"
                android:textColor="@color/off_white"
                android:textSize="14sp" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/w4Wrapper"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="4dp" >

            <TextView
                android:id="@+id/w4_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/w4_ft"
                android:layout_alignParentLeft="true"
                android:text="w4: "
                android:textColor="@color/off_white"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/w4_ft"
                android:layout_width="48dip"
                android:layout_height="36dip"
                android:layout_alignParentTop="true"
                android:layout_toRightOf="@+id/w4_label"
                android:inputType="number"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/w4_ft_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/w4_ft"
                android:layout_toRightOf="@+id/w4_ft"
                android:text=" ft X "
                android:textColor="@color/off_white"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/w4_in"
                android:layout_width="48dip"
                android:layout_height="36dip"
                android:layout_alignBaseline="@+id/w4_ft"
                android:layout_toRightOf="@+id/w4_ft_label"
                android:inputType="number"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/w4_in_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/w4_in"
                android:layout_toRightOf="@+id/w4_in"
                android:text=" in"
                android:textColor="@color/off_white"
                android:textSize="14sp" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/w5Wrapper"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="4dp" >

            <TextView
                android:id="@+id/w5_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/w5_ft"
                android:layout_alignParentLeft="true"
                android:text="w5: "
                android:textColor="@color/off_white"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/w5_ft"
                android:layout_width="48dip"
                android:layout_height="36dip"
                android:layout_alignParentTop="true"
                android:layout_toRightOf="@+id/w5_label"
                android:inputType="number"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/w5_ft_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/w5_ft"
                android:layout_toRightOf="@+id/w5_ft"
                android:text=" ft X "
                android:textColor="@color/off_white"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/w5_in"
                android:layout_width="48dip"
                android:layout_height="36dip"
                android:layout_alignBaseline="@+id/w5_ft"
                android:layout_toRightOf="@+id/w5_ft_label"
                android:inputType="number"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/w5_in_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/w5_in"
                android:layout_toRightOf="@+id/w5_in"
                android:text=" in"
                android:textColor="@color/off_white"
                android:textSize="14sp" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/room_lengthWrapper"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="4dp" >

            <TextView
                android:id="@+id/room_length_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/room_length_ft"
                android:layout_alignParentLeft="true"
                android:text="Length of Room: "
                android:textColor="@color/off_white"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/room_length_ft"
                android:layout_width="48dip"
                android:layout_height="36dip"
                android:layout_alignParentTop="true"
                android:layout_toRightOf="@+id/room_length_label"
                android:inputType="number"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/room_length_ft_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/room_length_ft"
                android:layout_toRightOf="@+id/room_length_ft"
                android:text=" ft X "
                android:textColor="@color/off_white"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/room_length_in"
                android:layout_width="48dip"
                android:layout_height="36dip"
                android:layout_alignBaseline="@+id/room_length_ft"
                android:layout_toRightOf="@+id/room_length_ft_label"
                android:inputType="number"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/room_length_in_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/room_length_in"
                android:layout_toRightOf="@+id/room_length_in"
                android:text=" in"
                android:textColor="@color/off_white"
                android:textSize="14sp" />
        </RelativeLayout>
    </LinearLayout>

</ScrollView>